import * as i0 from "@angular/core";
export declare class AlUsageTrackingService {
    trackPageViewEvent(pageTitle: string, pagePath: string): void;
    trackCustomEvent(eventName: string, eventProps: {
        [k: string]: any;
    }): void;
    static ɵfac: i0.ɵɵFactoryDef<AlUsageTrackingService, never>;
    static ɵprov: i0.ɵɵInjectableDef<AlUsageTrackingService>;
}
